#include <vector>
#include <cstdint>
#include <string>
// Author: George W. Taylor
// http://www.tropicalcoder.com/
// Date: 15 Oct 2012
// License: Creative Commons - Non-Commercial Use


#include <functional>
#include <iostream>
#include <winsock2.h>

#include <vector>

constexpr uint32_t TIMEOUT = 20000;

class UPD_Receive
{
public:
	UPD_Receive(PCSTR address, u_short port);
	~UPD_Receive();
	std::vector<uint8_t> exampleUDPReceiveFunction(bool *pbSuccess);
private:
	std::vector<uint8_t> data;
	sockaddr_in serverAddr = {};
	SOCKET udpSocket;
	int result;
};

