// Author: George W. Taylor
// http://www.tropicalcoder.com/
// Date: 25 May 2024
// License: This work is licensed under Creative Commons Attribution-ShareAlike 4.0 International 
// (CC BY-SA 4.0). https://creativecommons.org/licenses/by-sa/4.0/

#ifndef DEBUG_H
 #define DEBUG_H
#include <windows.h>
#include <stdio.h>
//#define _CRT_SECURE_NO_WARNINGS


class DebugLogging
{
public:
 void OutputDateString(void);
 void OutPutTimeString(void);
 void GetDateTimeString(char *TimeStr);
 void InitDebugFile(void);
 void CloseDebugFile(void);
 void DebugMessage(const char* msg);

private:
 FILE *fpDebug;
 HANDLE hMutex;
};

#endif