// Author: George W. Taylor
// http://www.tropicalcoder.com/
// Date: 15 Oct 2012
// License: Creative Commons - Non-Commercial Use


#pragma once

#include <vector>
#include <cstdint>
#include <string>
#include <winsock2.h>

// Link with Ws2_32.lib
#pragma comment(lib, "Ws2_32.lib")

class UDP_Send
{
public:
	UDP_Send(PCSTR address,	u_short port);
	~UDP_Send();
	void exampleUDPSendFunction(const std::vector<uint8_t>& data);
private:
	uint8_t buffer[32] = {};
	sockaddr_in serverAddr = {};
	SOCKET udpSocket;
};

