// Author: George W. Taylor
// http://www.tropicalcoder.com/
// Date: 25 May 2024
// License: This work is licensed under Creative Commons Attribution-ShareAlike 4.0 International 
// (CC BY-SA 4.0). https://creativecommons.org/licenses/by-sa/4.0/

#ifndef FILELOADER_H
	#define FILELOADER_H

class FileLoader
{
public:
 FileLoader(char *sPathName, bool bReadOnly=true);
 ~FileLoader();
 DWORD GetFileSizeBytes(void){return dwFileSize;};
 LPBYTE GetFilePointer(void){return pFile;};
 char *GetPathName(void);
private:
 char PathName[MAX_PATH] = {};
 HANDLE hFile, hMap;
 DWORD dwFileSize;
 LPBYTE pFile;
};

typedef FileLoader *LPFILELOADER;
#endif