// Author: George W. Taylor
// http://www.tropicalcoder.com/
// Date: 25 May 2024
// License: This work is licensed under Creative Commons Attribution-ShareAlike 4.0 International 
// (CC BY-SA 4.0). https://creativecommons.org/licenses/by-sa/4.0/

#include <vector>
#include <cstdint>
#include <string>
#include <functional>
#include <iostream>
#include <winsock2.h>

#include <vector>

constexpr uint32_t TIMEOUT = 20000;

class UPD_Receive
{
public:
	UPD_Receive(PCSTR address, u_short port);
	~UPD_Receive();
	std::vector<uint8_t> exampleUDPReceiveFunction(bool *pbSuccess);
private:
	std::vector<uint8_t> data;
	sockaddr_in serverAddr = {};
	SOCKET udpSocket;
	int result = 0;
};

