#pragma once

// Author: George W. Taylor
// http://www.tropicalcoder.com/
// Date: 25 May 2024
// License: This work is licensed under Creative Commons Attribution-ShareAlike 4.0 International 
// (CC BY-SA 4.0). https://creativecommons.org/licenses/by-sa/4.0/

#include <vector>
#include <cstdint>
#include <string>
#include <winsock2.h>

// Link with Ws2_32.lib
#pragma comment(lib, "Ws2_32.lib")

class UDP_Send
{
public:
	UDP_Send(PCSTR address,	u_short port);
	~UDP_Send();
	void exampleUDPSendFunction(const std::vector<uint8_t>& data);
private:
	sockaddr_in serverAddr = {};
	SOCKET udpSocket;
};
